/* *********************************************************************** */ 
/*                          Smus2Sco v2.0                                  */
/*                       1990 Jean-Francois Giorgi                         */
/* *********************************************************************** */ 

#include "smus2sco.h"

/* ******************************** */
/* 8svx2sco.c : convert instruments */
/* ******************************** */

/* *********************************************************************** */
/* some globals */
char *ProgName;
char Usage_Help[100] = " sco-file 8svx-file1 [8svx-file2 ...]";
char *IPath; /* instruments directory for GenSound */

BOOL DefTI;
WORD GTranspose;

char namebuff[500];

/* *********************************************************************** */       
/* exit with a message */
VOID pexit(s)
char *s;
{

  fprintf(stderr,s);
  fprintf(stderr,"\n");
  exit(0);
}
/* *********************************************************************** */       
VOID usage()
{
  printf("Usage: %s %s\n",ProgName,Usage_Help);
  exit();
}
/* *********************************************************************** */       
/* The Main One */
main(argc,argv)
int argc;
char **argv;
{
  int i;

  printf("8SVX to CSound Orchestra File Converter (c) 1990 by JF Giorgi\n\n");
  ProgName = argv[0];

  if (argc <2) usage();

  IPath = NULL;
  GenSoundOpen(argv[1]);
  for (i=2;i<argc;i++)
    GenSound(argv[i],i-2);

  GenSoundClose();

}
/* ************************************************************************ */  
